Summary:        A portable lossless data compression library written in ANSI C.
Name:           lzo
Version:        2.10
Release:        6%{?dist}
License:        GPLv2+
URL:            http://www.oberhumer.com/opensource/lzo/
Source0:        http://www.oberhumer.com/opensource/lzo/download/%{name}-%{version}.tar.gz

# Patch3000 is from fedora
Patch3000:         lzo-2.08-rhbz1309225.patch

BuildRequires:  gcc make zlib-devel

%description
LZO is a portable lossless data compression library written in ANSI C.
It offers pretty fast compression and *extremely* fast decompression.
And it's also one of the fastest compression and decompression algorithms 
around. 


%package minilzo
Summary:  Mini subset of the LZO real-time data compression library

%description minilzo
miniLZO is a very lightweight subset of the LZO library intended for easy 
inclusion with your application. It is generated automatically from the LZO 
source code and contains the most important LZO functions, implements the 
LZO1X-1 compressor and both the standard and safe LZO1X decompressor.


%package devel
Summary:  Development files for %{name} and minilzo
Requires: %{name} = %{version}-%{release}
Requires: %{name}-minilzo = %{version}-%{release}
Requires: zlib-devel

%description devel
This package contains development headers and libraries of %{name} and minilzo.


%prep
%autosetup -p1


%build
%configure --enable-shared  --disable-static     
%{make_build} CFLAGS="%{optflags} -fno-strict-aliasing"
# build minilzo
gcc %{optflags} -fpic -Iinclude/lzo -o minilzo/minilzo.o -c minilzo/minilzo.c
gcc -g -shared -Wl,-z,now -o libminilzo.so.0 -Wl,-soname,libminilzo.so.0 minilzo/minilzo.o


%install
%{make_install}
rm -f %{buildroot}%{_libdir}/*.la
# install minilzo
install -p -m 0755 libminilzo.so.0 %{buildroot}%{_libdir}
ln -s libminilzo.so.0 %{buildroot}%{_libdir}/libminilzo.so
install -p -m 644 minilzo/minilzo.h %{buildroot}%{_includedir}/lzo


%check
%{make_build} check test


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%post minilzo -p /sbin/ldconfig


%postun minilzo -p /sbin/ldconfig
 

%files
%license COPYING
%doc README AUTHORS THANKS NEWS
%{_libdir}/liblzo2.so.*


%files minilzo
%license COPYING
%doc minilzo/README.LZO
%{_libdir}/libminilzo.so.0


%files devel
%{_datadir}/doc/lzo/*
%{_includedir}/lzo
%{_libdir}/liblzo2.so
%{_libdir}/libminilzo.so
%{_libdir}/pkgconfig/lzo2.pc


%changelog
* Thu Sep 26 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-6
- Rebuilt for clarifying the packages requirement in BaseOS and AppStream

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-5
- Rebuilt for loongarch release

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 2.10-2
- Rebuilt for OpenCloudOS Stream 23

* Thu Jul 28 2022 doriscchao <doriscchao@tencent.com> - 2.10-1
- initial build, Version 2.10, Release 1